<?php
namespace System{
	class View {
		
		private $data = array();
		private $viewname = false;
		public function __construct($viewname){
			if(!$viewname)
				throw new \Exception('Illegal argument viewname!');
			
			if(!file_exists($this->getViewFilePath($viewname)))
				throw new \Exception('File with view does not exists!');
				
			$this->viewname = $viewname;
		}
		
		public function __get($var){
			return $this->data[$var];
		}
		
		public function __set($var, $value){
			$this->data[$var] = $value;
		}
		
		public function render(){
			extract($this->data);
			include  $this->getViewFilePath($this->viewname);
		}
		
		
		
		protected function getViewFilePath($viewname){
			return 'views/'.$viewname.'.php'; 
		}
	}
}
?>